cairomm: Cairo::RadialGradient Class Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions

# Cairo::RadialGradient Class Reference

Inheritance diagram for Cairo::RadialGradient:
[legend]

List of all members.

## Public Member Functions
| RadialGradient (cairo_pattern_t*cobject, bool has_reference=false)
| Create a C++ wrapper for the C instance.
void | get_radial_circles (double& x0, double& y0, double& r0, double& x1, double& y1, double& r1) const
virtual | ~RadialGradient ()
## Static Public Member Functions
static RefPtr< RadialGradient > | create (double cx0, double cy0, double radius0, double cx1, double cy1, double radius1)
## Protected Member Functions
| RadialGradient (double cx0, double cy0, double radius0, double cx1, double cy1, double radius1)

## Constructor & Destructor Documentation

Cairo::RadialGradient::RadialGradient | ( | double | cx0,
|  | double | cy0,
|  | double | radius0,
|  | double | cx1,
|  | double | cy1,
|  | double | radius1
| ) |  | `[protected]`

Cairo::RadialGradient::RadialGradient | ( | cairo_pattern_t * | cobject,
|  | bool | has_reference = `false`
| ) |  | `[explicit]`

Create a C++ wrapper for the C instance.

This C++ instance should then be given to a RefPtr.

Parameters:

  cobject | The C instance.
  has_reference | Whether we already have a reference. Otherwise, the constructor will take an extra reference.

virtual Cairo::RadialGradient::~RadialGradient | ( |  | ) | `[virtual]`

## Member Function Documentation

static RefPtr<RadialGradient> Cairo::RadialGradient::create | ( | double | cx0,
|  | double | cy0,
|  | double | radius0,
|  | double | cx1,
|  | double | cy1,
|  | double | radius1
| ) |  | `[static]`

void Cairo::RadialGradient::get_radial_circles | ( | double & | x0,
|  | double & | y0,
|  | double & | r0,
|  | double & | x1,
|  | double & | y1,
|  | double & | r1
| ) |  | const

Parameters:

  x0 | return value for the x coordinate of the center of the first (inner) circle
  y0 | return value for the y coordinate of the center of the first (inner) circle
  r0 | return value for the radius of the first (inner) circle
  x1 | return value for the x coordinate of the center of the second (outer) circle
  y1 | return value for the y coordinate of the center of the second (outer) circle
  r1 | return value for the radius of the second (outer) circle

Gets the gradient endpoint circles for a radial gradient, each specified as a center coordinate and a radius.

Since:
  1.4

The documentation for this class was generated from the following file:

- cairomm/pattern.h